{% extends 'recordbook/base.html' %}

{% block content %}
	<div class="tbl_cont">
		<table>
			<tr>
				<th>Full Name</th>
				<th>First Name</th>
				<th>Last Name</th>
				<th>Mobile Number</th>
				<th>Address</th>
				<th>Options</th>
			</tr>
			{% for record in records %}
			<tr>
				<td>
					<span class="name_txt">{{ record }}</span>
				</td>
				<td>
					{{ record.fname }}
				</td>
				<td>
					{{ record.lname }}
				</td>
				<td>
					{{ record.contact }}
				</td>
				<td>
					{{ record.address }}
				</td>
				<td>
					<a class="opt-btn" href="{% url 'update_record' pk=record.pk %}">Update</a>
					<a class="opt-btn" href="{% url 'delrecord' pk=record.pk %}">Delete</a>
				</td>
					{% empty %}
				<td class="no_border" colspan="6">
						<p>No records found, Click <a href="{% url 'addrecord' %}">here to add a record.</a></p>
				</td>
					{% endfor %}

			</tr>
		</table>
		<a class="new_btn" href="{% url 'addrecord' %}">
			Add New Record
		</a>
		<br/>
	</div>
{% endblock %}